Subject: linux-next: build failure after merge of the perf tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 17 Mar 2023 09:50:25 +1100

Hi all,

After merging the perf tree, today's linux-next build (native perf)
failed like this:

Auto-detecting system features:
...                         clang-bpf-co-re: [ [32mon[m  ]
...                                    llvm: [ [31mOFF[m ]
...                                  libcap: [ [32mon[m  ]
...                                  libbfd: [ [32mon[m  ]

make[1]: *** Deleting file '/home/sfr/next/perf/util/bpf_skel/vmlinux.h'
libbpf: failed to find '.BTF' ELF section in /boot/vmlinux-6.0.0-5-powerpc64le
Error: failed to load BTF from /boot/vmlinux-6.0.0-5-powerpc64le: No data available
make[1]: *** [Makefile.perf:1075: /home/sfr/next/perf/util/bpf_skel/vmlinux.h] Error 195
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile.perf:236: sub-make] Error 2
Command exited with non-zero status 2

To be clear this is a native build of perf on a PPC64le host using this
command line:

make -C tools/perf -f Makefile.perf -s -O -j60 O=../perf EXTRA_CFLAGS=-Wno-psabi

(I could probably remove the EXTRA_CLFAGS now that I am building with
gcc 12.2)

I don't know which commit caused this.

I have used the perf tree from next-20230316 for today.

-- 
Cheers,
Stephen Rothwell